/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Rewards\HalloweenBrew.cs
Lines of code: 32
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HalloweenBrew : BeverageBottle
	{
		[Constructable]
		public HalloweenBrew() : base( BeverageType.Ale )
		{
			Name = "Halloween Brew";
			Hue = Utility.RandomList(1175, 1157, 1359, 1163, 1155);
		}

		public HalloweenBrew( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Halloween \t" + "2011");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}